Package: io.vertx.groovy.core.http

## [Groovy] Interface WebSocketBase

- io.vertx.groovy.core.streams.WriteStream

- All Superinterfaces:
    StreamBase, ReadStream, WriteStream

  Base WebSocket implementation.

  It implements both and so it can be used with Pump to pump data with flow control.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `binaryHandlerID()`
    `void` | `close()`
    `WebSocketBase` | `closeHandler(io.vertx.core.Handler<java.lang.Void> handler)`
    `WebSocketBase` | `drainHandler(io.vertx.core.Handler<java.lang.Void> handler)`
    `void` | `end(Buffer t)`
    `void` | `end()`
    `WebSocketBase` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)`
    `WebSocketBase` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)`
    `WebSocketBase` | `frameHandler(io.vertx.core.Handler<WebSocketFrame> handler)`
    `java.lang.Object` | `getDelegate()`
    `WebSocketBase` | `handler(io.vertx.core.Handler<Buffer> handler)`
    `SocketAddress` | `localAddress()`
    `WebSocketBase` | `pause()`
    `SocketAddress` | `remoteAddress()`
    `WebSocketBase` | `resume()`
    `WebSocketBase` | `setWriteQueueMaxSize(int maxSize)`
    `java.lang.String` | `textHandlerID()`
    `WebSocketBase` | `write(Buffer data)`
    `WebSocketBase` | `writeBinaryMessage(Buffer data)`
    `WebSocketBase` | `writeFinalBinaryFrame(Buffer data)`
    `WebSocketBase` | `writeFinalTextFrame(java.lang.String text)`
    `WebSocketBase` | `writeFrame(WebSocketFrame frame)`
    `boolean` | `writeQueueFull()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReadStream` | `endHandler, exceptionHandler, getDelegate, handler, pause, resume`
    `interface WriteStream` | `drainHandler, end, end, exceptionHandler, getDelegate, setWriteQueueMaxSize, write, writeQueueFull`

- - ### Method Detail

    - #### java.lang.String binaryHandlerID()

    - #### void close()

    - #### WebSocketBase closeHandler(io.vertx.core.Handler<java.lang.Void> handler)

    - #### WebSocketBase drainHandler(io.vertx.core.Handler<java.lang.Void> handler)

    - #### void end(Buffer t)

    - #### void end()

    - #### WebSocketBase endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

    - #### WebSocketBase exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

    - #### WebSocketBase frameHandler(io.vertx.core.Handler<WebSocketFrame> handler)

    - #### java.lang.Object getDelegate()

    - #### WebSocketBase handler(io.vertx.core.Handler<Buffer> handler)

    - #### SocketAddress localAddress()

    - #### WebSocketBase pause()

    - #### SocketAddress remoteAddress()

    - #### WebSocketBase resume()

    - #### WebSocketBase setWriteQueueMaxSize(int maxSize)

    - #### java.lang.String textHandlerID()

    - #### WebSocketBase write(Buffer data)

    - #### WebSocketBase writeBinaryMessage(Buffer data)

    - #### WebSocketBase writeFinalBinaryFrame(Buffer data)

    - #### WebSocketBase writeFinalTextFrame(java.lang.String text)

    - #### WebSocketBase writeFrame(WebSocketFrame frame)

    - #### boolean writeQueueFull()